<?php #handle data submitted from the login form. This script only performs back-end processing and redirects users. It does not need to display any HTML content, so no HTML code is included. Adding HTML may also interfere with the redirection process.

include('mysqli_connect.php'); 

// Pass form data
$username = mysqli_real_escape_string($dbc, trim($_POST['username']));
$password = mysqli_real_escape_string($dbc, trim($_POST['password']));

// Formulate the query to check if password matches a record in the database
$query = "SELECT * from users WHERE username = '$username' AND password = SHA2('$password', 256)"; 

// Run the query
$result = mysqli_query($dbc, $query);
$row_cnt = mysqli_num_rows($result);

if($row_cnt == 1){ //If there is a match found
    // Set cookie vriable first before echoing out any HTML code
    setcookie('username',$username);// define a cookie var $_COOKIE['username']
    
    // Set other cookie vars as desired
    $row = mysqli_fetch_array($result,MYSQLI_ASSOC);
    setcookie('fname',$row['firstname']); // define a second cookie var $_COOKIE['fname']
    
    // admin identification
    if ($row['username'] == 'tom'){ //if username is tom, redirect to admin secret page
        header("Location: secret_page_admin.php");
        exit();
    }else{
        header("Location: secret_page.php");
        exit();
    }

    //[Old version no admin identification] Redirect user to the secret page
    //header("Location: secret_page.php");
    //exit();//terminate current script

}else{ // No match, redirect user to login form (no cookie will be set)
    header("Location: login_form.php");
    exit();
}
?>